# Uses of Interface
org.apache.zookeeper.server.persistence.FileTxnSnapLog.PlayBackListener

Packages that use FileTxnSnapLog.PlayBackListener
Package
Description
org.apache.zookeeper.server.persistence

## Uses of FileTxnSnapLog.PlayBackListener in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence with parameters of type FileTxnSnapLog.PlayBackListener
Modifier and Type
Method
Description
`long`
FileTxnSnapLog.`fastForwardFromEdits(DataTree dt, Map<Long,Integer> sessions, FileTxnSnapLog.PlayBackListener listener)`
This function will fast-forward the server database to have the latest transactions in it.
`long`
FileTxnSnapLog.`restore(DataTree dt, Map<Long,Integer> sessions, FileTxnSnapLog.PlayBackListener listener)`
this function restores the server database after reading from the snapshots and transaction logs